Subject: Re: [GSOC PATCH v2] commit: avoid scanning trailing comments when 'core.commentChar' is "auto"

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Jun 2025 07:11:08 -0700

Phillip Wood <[email-masked]> writes:

> Should we be resetting comment_line_str to '#' when core.commentString
> is set to "auto"? That wont help if the commit message contains a '#'
> but at least it would be consistently broken.

Yeah, while I was re-reading the code to parse the configuration file,
that was exactly what came to my mind.  I offhand did not think of any
downside of doing so, but I cannot claim that I have spent enough brain
cycles to make sure it is free of bad unintended consequences.

Thanks.